| HOpenGL Libraries (OpenGL package) | Source code | Contents | Index

Graphics.Rendering.OpenGL.GLU.Quadrics

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to chapter 6 (Quadrics) of the GLU specs.
Documentation
type QuadricNormal = Maybe ShadingModel
data QuadricTexture

Constructors

NoTextureCoordinates |
GenerateTextureCoordinates |

Instances

Eq QuadricTexture
Ord QuadricTexture

data QuadricOrientation

Constructors

Outside |
Inside |

Instances

Eq QuadricOrientation
Ord QuadricOrientation
Show QuadricOrientation

data QuadricDrawStyle

Constructors

PointStyle |
LineStyle |
FillStyle |
SilhouetteStyle |

Instances

Eq QuadricDrawStyle
Ord QuadricDrawStyle
Show QuadricDrawStyle

data QuadricStyle

Constructors

QuadricStyle QuadricNormal QuadricTexture QuadricOrientation QuadricDrawStyle |

Instances

Eq QuadricStyle
Ord QuadricStyle

type Radius = GLdouble
type Height = GLdouble
type Angle = GLdouble
type Slices = GLint
type Stacks = GLint
type Loops = GLint
data QuadricPrimitive

Constructors

Sphere Radius Slices Stacks |
Cylinder Radius Radius Height Slices Stacks |
Disk Radius Radius Slices Loops |
PartialDisk Radius Radius Slices Loops Angle Angle |

Instances

Eq QuadricPrimitive
Ord QuadricPrimitive

renderQuadric :: QuadricStyle -> QuadricPrimitive -> IO ()
Produced by Haddock version 0.8